Subject: [bug#53765] [PATCH v2 05/18] gnu: Add clojure-core-memoize.

From: Reily Siegel <[email-masked]>
Date: Mon, 21 Mar 2022 12:27:10 +0100

Maxime Devos <[email-masked]> writes:

> More concretely, I'm looking for answers to things like ‘how to detect
> which files can be compiled’, ‘how to determine if a build failure is
> caused by AOT problems’, ‘how to know in advance if AOT might cause
> problems’ and ‘should AOT compilation be disabled by default for
> tests?’.
>
> If some answers can be found, perhaps adding #:aot-exclude can be
> automated in (guix build clojure-build-system), and thsese answers
> could help future packagers.

It seems to me that the easiest way to do this is to by default not AOT
compile anything, and if a library needs a file AOT compiled, it can be
set when packaged. I don't believe there is any good way to automate
this, at least not with the sort of problems I have run into.
-- 
Reily Siegel